<?php

load_theme_textdomain('sunset');

if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div class="sidebar-widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ));


// Theme specific widgets
    
function widget_sunset_search($args) {
  global $s;
  extract($args, EXTR_SKIP);
  $before_widget = preg_replace('/>$/', 'id="sidebar-search">', $before_widget);
  echo $before_widget;
?>
    <form method="get" action="<?php echo get_settings('home'); ?>/">
      <div id="btn">
        <input type="image" src="<?php bloginfo('stylesheet_directory'); ?>/images/blank.gif" alt="<?php _e('Search', 'sunset'); ?>" title="<?php _e('Search', 'sunset'); ?>" />
      </div>
      <input class="text" type="text" value="<?php echo (empty($s) ? __('Type here to search...', 'sunset') : wp_specialchars($s, 1)); ?>" name="s" id="s" onfocus="if (this.value == '<?php _e('Type here to search...', 'sunset'); ?>') this.value = '';" onblur="if (this.value == '') this.value = '<?php _e('Type here to search...', 'sunset'); ?>';" />
    </form>
<?php
  echo $after_widget;
}
if ( function_exists('register_sidebar_widget') )
  register_sidebar_widget(__('Search (Sunset)', 'sunset'), 'widget_sunset_search');
  
function widget_sunset_meta($args) {
  extract($args, EXTR_SKIP);
  $before_widget = preg_replace('/>$/', 'id="sidebar-meta">', $before_widget);
  echo $before_widget;
?>
    <ul>
      <li><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon_feed2.png" alt="" width="16" height="16" /> <a href="<?php bloginfo('rss2_url'); ?>"><?php _e('Entries Feed', 'sunset'); ?></a></li>
      <li><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon_feed1.png" alt="" width="16" height="16" /> <a href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments Feed', 'sunset'); ?></a></li>
      <li><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon_mail.png" alt="" width="16" height="16" /> <a href="mailto:<?php antispambot(bloginfo('admin_email'), 1); ?>"><?php _e('Send E-mail', 'sunset'); ?></a></li>
      <li><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon_key.png" alt="" width="16" height="16" /> <?php wp_loginout(); wp_register(' &bull; ', ''); ?></li>
    </ul>
    <div class="clear"></div>
<?php
  echo $after_widget;
}
if ( function_exists('register_sidebar_widget') )
  register_sidebar_widget(__('Meta (Sunset)', 'sunset'), 'widget_sunset_meta');
  
function widget_sunset_archives($args) {
  extract($args, EXTR_SKIP);
  $before_widget = preg_replace('/>$/', 'id="sidebar-archives">', $before_widget);
  echo $before_widget;
  echo $before_title . __('Archives', 'sunset') . $after_title;
  echo '<select onchange="document.location.href=this.options[this.selectedIndex].value;" name="archive-dropdown">';
  echo '<option value="">' . __('Select a month...', 'sunset') . '</option>';
  if (use_jalali_calendar()) 
    wp_get_jarchives('type=monthly&format=option'); 
  else 
    wp_get_archives('type=monthly&format=option');
  echo '</select>';
  echo $after_widget;
}
if ( function_exists('register_sidebar_widget') )
  register_sidebar_widget(__('Archives (Sunset)', 'sunset'), 'widget_sunset_archives');
  
function widget_related_posts($args) {
  if (!is_single()) return;
  global $post;
  extract($args, EXTR_SKIP);
  $options = get_option('widget_related_posts');
  $title = (empty($options['title'])) ? __('More from this category', 'sunset') : apply_filters('widget_title', $options['title']);
  $categories = get_the_category();
  $this_post_id = (int) $post->ID;
  foreach ($categories as $category) {
    $posts = get_posts('numberposts=6&category=' . $category->term_id);
    if ($posts && count($posts) > 1) {
      echo $before_widget;
      echo $before_title . $title . $after_title;
      echo '<ul>';
      foreach($posts as $post) {
        if ($post->ID != $this_post_id) {
          ?><li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li><?php
        }
      }
      ?><li><strong><a href="<?php echo get_category_link($category->term_id);?>" title="<?php _e('View all posts filed under', 'sunset'); ?> <?php echo $category->name; ?>"><?php _e('Archive for &lsquo;', 'sunset'); ?><?php echo $category->name; ?><?php _e('&rsquo; category &raquo;', 'sunset'); ?></a></strong></li><?php
      echo '</ul>';
      echo $after_widget;
    }
  }
}
if ( function_exists('register_sidebar_widget') )
  register_sidebar_widget(__('Related Posts (Sunset)', 'sunset'), 'widget_related_posts');

function widget_related_posts_control() {
  $options = $newoptions = get_option('widget_related_posts');
  if ($_POST["similar-posts-submit"])
    $newoptions['title'] = strip_tags(stripslashes($_POST["similar-posts-title"]));
  if ( $options != $newoptions ) {
    $options = $newoptions;
    update_option('widget_related_posts', $options);
  }
  $title = attribute_escape($options['title']);
?>
      <p><label for="similar-posts-title"><?php _e('Title:'); ?> <input class="widefat" id="similar-posts-title" name="similar-posts-title" type="text" value="<?php echo $title; ?>" /></label></p>
      <input type="hidden" id="similar-posts-submit" name="similar-posts-submit" value="1" />
<?php
}
if ( function_exists('register_widget_control') )
  register_widget_control(__('Related Posts (Sunset)', 'sunset'), 'widget_related_posts_control');
  
// Persian adjustments
    
function use_jalali_calendar() {
  return defined('MPS_JD_VER') && (substr(get_bloginfo('language'), 0, 2) == 'fa');
}

?>