<?php get_header(); ?>
<div id="content">
  <?php if (have_posts()) : the_post(); ?>
    <?php if (!is_home() || (isset($_GET['paged']) && !empty($_GET['paged']))) : ?>
      <?php /* If this is a category archive */ if (is_search()) : ?>
        <h2 class="maintitle separator"><?php _e('Search results for &laquo;', 'sunset'); ?><?php echo wp_specialchars($s, 1); ?><?php _e('&raquo;', 'sunset'); ?></h2>
      <?php /* If this is an author archive */ elseif (is_author()) : ?>
        <h2 class="maintitle separator"><?php _e('Posts by &laquo;', 'sunset'); ?><?php the_author(); ?><?php _e('&raquo;', 'sunset'); ?></h2>
      <?php /* If this is a category archive */ elseif (is_category()) : ?>
        <h2 class="maintitle separator"><?php _e('Posts in the &laquo;', 'sunset'); ?><?php single_cat_title(); ?><?php _e('&raquo; Category', 'sunset'); ?></h2>
      <?php /* If this is a tag archive */ elseif (is_tag()) : ?>
        <h2 class="maintitle separator"><?php _e('Posts tagged as &laquo;', 'sunset'); ?><?php single_tag_title(); ?><?php _e('&raquo;', 'sunset'); ?></h2>
      <?php /* If this is a daily archive */ elseif (is_day()) : ?>
        <h2 class="maintitle separator"><?php _e('Daily archive of', 'sunset'); ?> <?php the_time(__('l, F j, Y', 'sunset')); ?></h2>
      <?php /* If this is a monthly archive */ elseif (is_month()) : ?>
        <h2 class="maintitle separator"><?php _e('Monthly archive of', 'sunset'); ?> <?php the_time(__('F, Y', 'sunset')); ?></h2>
      <?php /* If this is a yearly archive */ elseif (is_year()) : ?>
        <h2 class="maintitle separator"><?php _e('Yearly archive of', 'sunset'); ?> <?php the_time(__('Y', 'sunset')); ?></h2>
      <?php /* If this is a paged archive */ elseif (isset($_GET['paged']) && !empty($_GET['paged'])) : ?>
        <h2 class="maintitle separator"><?php _e('Blog archives', 'sunset'); ?></h2>
      <?php endif; rewind_posts(); ?>
    <?php else : ?>
      <h2 class="maintitle">
        <?php edit_post_link('<img class="edit" width="16" height="16" alt="' . __('Edit post', 'sunset') . '" src="' . get_bloginfo('stylesheet_directory') . '/images/icon_post_edit.png" />'); ?>
        <a id="post-<?php the_ID(); ?>" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e('Permanent Link to', 'sunset'); ?> <?php the_title(); ?>"><?php the_title(); ?></a>
      </h2>
      <div class="postmeta">
        <?php _e('By', 'sunset'); ?> <?php the_author_posts_link('namefl'); ?> <?php _e('on', 'sunset'); ?> <?php the_date(); ?> <?php _e('at', 'sunset'); ?> <?php the_time(); ?> <?php _e('in', 'sunset'); ?> <?php the_category(__(',', 'sunset') . ' ') ?> &bull;
        <?php comments_popup_link(__('No Comments', 'sunset'), __('1 Comment', 'sunset'), __('% Comments', 'sunset'), '', __('Comments Off', 'sunset')); ?>
      </div>
      <div class="post">
        <?php the_content(__('(more&hellip;)', 'sunset')); ?>
      </div>
      <?php if (comments_open()) : ?>
        <p class="addcomment"><a href="<?php permalink_link(); ?>#respond"><img width="16" height="16" alt="<?php _e('Add your comment', 'sunset'); ?>" src="<?php bloginfo('stylesheet_directory'); ?>/images/icon_comment_add.png" /> <?php _e('Add your comment', 'sunset'); ?></a></p>
      <?php endif; ?>
      <?php // the_tags('<p class="tags"><strong>' . __('Tags:', 'sunset') . '</strong> ', __(',', 'sunset') . ' ', '</p>'); ?>
      <?php if ($wp_query->post_count > 1) : ?>
      <h3 class="subtitle" id="previously"><?php _e('Previously', 'sunset'); ?></h3>
      <?php endif; ?>
    <?php endif; ?>
    <?php while (have_posts()) : the_post(); ?>
      <ul class="postlist">
        <li><a id="post-<?php the_ID(); ?>" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e('Permanent Link to', 'sunset'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></li>
      </ul>
    <?php endwhile; ?>
    <div class="pagination">
      <span class="alignleft"><?php next_posts_link(__('&larr; Older Entries', 'sunset')) ?></span>
      <span class="alignright"><?php previous_posts_link(__('Newer Entries &rarr;', 'sunset')) ?></span>
    </div>
  <?php else : ?>
    <h2 class="maintitle separator"><?php _e('Not Found', 'sunset'); ?></h2>
    <p class="notfound"><?php _e('Sorry, but you are looking for something that isn\'t here.', 'sunset'); ?></p>
  <?php endif; ?>
</div>
<?php get_footer(); ?>